% add backlinks to footnote references, cf. https://tex.stackexchange.com/questions/302266/make-footnote-clickable-both-ways
% TODO: investigate why footnote backrefs don't work as supposed (it's unrelated to PDF merging)
% \usepackage{footnotebackref}

% include list of figures/tables etc. in TOC (but exclude TOC itself)
\usepackage[nottoc]{tocbibind}

% center floating environments (figures and tables)
% floatrow reference: http://mirrors.ctan.org/macros/latex/contrib/floatrow/floatrow.pdf
% NOTES:
% - floatrow is loaded in `assets/template.latex`
% - with Pandoc, all tables become longtables, so we can't rely on multiple per-table-type `\floatsetup` statements
\usepackage{calc}
\newlength{\myfullwidth}
\setlength{\myfullwidth}{\textwidth + \marginparwidth + \marginparsep}
\floatsetup[figure]{style=plaintop,margins=hangleft,floatwidth=\myfullwidth}
\DeclareMarginSet{ct}{\setfloatmargins{\hskip-\marginparwidth\hskip-\marginparsep}{\hfill} \LTleft=\fill \LTright=\fill}
\floatsetup[table]{style=plaintop,margins=ct,floatwidth=\myfullwidth,LTcapwidth=\myfullwidth}

% make figures and tables not float at all
% TODO: submit Quarto feature request for new config opt `tbl-pos`
\floatplacement{figure}{H}
\floatplacement{table}{H}

% avoid orphan and widow lines, cf. https://tex.stackexchange.com/a/30409/144087
\usepackage[all]{nowidow}

% change part numbering style, cf. https://tex.stackexchange.com/a/3183/144087
\renewcommand\thepart{\Alph{part}}

% change page numbering style, cf. https://de.overleaf.com/learn/latex/Page_numbering
\pagenumbering{Roman}
